Autodesk.Revit.DB.Structure.RebarInSystem是Revit中表示钢筋系统内的钢筋的类。该类是将钢筋添加到构件中的重要组成部分。
Autodesk.Revit.DB.Structure.RebarInSystem类具有以下属性:
Autodesk.Revit.DB.Structure.RebarInSystem类具有以下方法:
下面的代码示例展示了如何创建RebarInSystem对象并将其添加到构件中。
//Create a RebarInSystem object
Autodesk.Revit.DB.Structure.RebarInSystem myRebarInSystem = new Autodesk.Revit.DB.Structure.RebarInSystem();
//Set the properties
myRebarInSystem.BarType = //The type of the reinforcing bar;
myRebarInSystem.HookAtStart = //Boolean indicating whether to hook at the start of the reinforcing bar;
myRebarInSystem.HookAtEnd = //Boolean indicating whether to hook at the end of the reinforcing bar;
myRebarInSystem.BarOrientation = //The orientation of the reinforcing bar;
myRebarInSystem.HookLengthAtStart = //The length of the hook at the start of the reinforcing bar;
myRebarInSystem.HookLengthAtEnd = //The length of the hook at the end of the reinforcing bar;
myRebarInSystem.Name = //The name of the reinforcing bar;
myRebarInSystem.Rebar = //The Revit rebar object;
//Add the RebarInSystem to the element
//myElement is the element that the rebar is added to
Autodesk.Revit.DB.Structure.RebarContainer myRebarContainer = Autodesk.Revit.DB.Structure.RebarContainer.Create(myElement);
myRebarContainer.AddSingle(myRebarInSystem);
Autodesk.Revit.DB.Structure.RebarInSystem是Revit中表示钢筋系统内的钢筋的类。开发人员可以使用该类创建、配置和添加钢筋,在构件中完成加强工作。